LibreOffice: XHierarchicalNameAccess Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Public Member Functions | List of all members
XHierarchicalNameAccess Interface Referencepublished

is used to have hierarchical access to elements within a container. More...

`import"XHierarchicalNameAccess.idl";`

Inheritance diagram for XHierarchicalNameAccess:

## Public Member Functions
any | getByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
boolean | hasByHierarchicalName ([in] string aName)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used to have hierarchical access to elements within a container.

You address an object of a specific level in the hierarchy by giving its fully qualified name, e.g., "com.sun.star.uno.XInterface".

To implement inaccurate name access, support the com::sun::star::beans::XExactName interface.

See also
  com::sun::star::beans::XExactName

## Member Function Documentation

## ◆ getByHierarchicalName()

any getByHierarchicalName | ( | [in] string | aName | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

Returns
  the object with the specified name.

Parameters

  aName | the name of the object.

Exceptions

  NoSuchElementException | if an element under Name does not exist.

## ◆ hasByHierarchicalName()

boolean hasByHierarchicalName | ( | [in] string | aName | ) |

Returns
  `TRUE` if an element with this name is in the container, `FALSE` otherwise.

In many cases, the next call is XNameAccess::getByName(). You should optimize this case.

Parameters

  aName | the name of the object.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XHierarchicalNameAccess.idl